HACKING

Η VMware διορθώνει την ευπάθεια Spring4Shell που επηρεάζει διάφορα προϊόντα της

This post was originally published on this site

Η VMware κυκλοφόρησε ενημερώσεις ασφαλείας για να διορθώσει μια κρίσιμη ευπάθεια που είναι γνωστή ως Spring4Shell και επιτρέπει την εκτέλεση κώδικα απομακρυσμένα. Η εν λόγω ευπάθεια επηρεάζει αρκετά από τα cloud computing και virtualization προϊόντα της εταιρείας.

Στο security adivsory που δημοσίευσε η εταιρεία, αναφέρει τη λίστα των προϊόντων VMware που επηρεάζονται από την ευπάθεια Spring4Shell. Όπου δεν υπάρχει διαθέσιμη επιδιόρθωση, η VMware έδωσε μερικές συμβουλές προστασίας ως προσωρινή λύση.

Δείτε επίσης: Amazon: Phishing email απειλεί με οριστικό κλείδωμα λογαριασμών

VMware Spring4Shell

Σοβαρή ευπάθεια στο Spring Framework

Η ευπάθεια Spring4Shell, που είναι επίσημα γνωστή ως CVE-2022-22965, είναι μια ευπάθεια που επιτρέπει την εκτέλεση κώδικα απομακρυσμένα και εντοπίζεται στο Spring Core Java framework. Μπορεί να εκτελέσει κώδικα χωρίς έλεγχο ταυτότητας και έχει λάβει βαθμολογία 9,8/10 στην κλίμακα μέτρησης της σοβαρότητας ευπαθειών.

Σύμφωνα με τους ειδικούς, κάθε κακόβουλος χρήστης με πρόσβαση σε ευάλωτες εφαρμογές μπορεί να εκτελέσει εντολές και να αναλάβει τον πλήρη έλεγχο ενός συστήματος στόχου.

Το Spring Framework είναι πολύ δημοφιλές για την ανάπτυξη εφαρμογών Java, και έτσι οι αναλυτές ασφαλείας φοβούνται ότι πολλοί εγκληματίες εκμεταλλεύονται την ευπάθεια Spring4Shell. Επιπλέον, έχει διαρρεύσει proof-of-concept(PoC) exploit στο GitHub πριν την κυκλοφορία της ενημέρωσης ασφαλείας.

Δείτε επίσης: Android malware: Νέο spyware έχει πρόσβαση σε πολλά δεδομένα

Η ευπάθεια επηρεάζει Spring MVC και Spring WebFlux apps που εκτελούνται στο JDK 9+. Το exploit απαιτεί η εφαρμογή να εκτελείται στο Tomcat ως WAR deployment, αν και οι ακριβείς περιορισμοί βρίσκονται ακόμη υπό διερεύνηση.

Τα fixed versions των εφαρμογών είναι:

  • Spring Framework 5.3.18 και Spring Framework 5.2.20
  • Spring Boot 2.5.12
  • Spring Boot 2.6.6 (σύντομα θα κυκλοφορήσει)

Η VMWare έχει επανεξετάσει τα προϊόντα της και, ενώ η έρευνα συνεχίζεται ακόμη, έχει αναφέρει ότι τα παρακάτω προϊόντα επηρεάζονται από την ευπάθεια Spring4Shell:

  1. VMware Tanzu Application Service για VMs – εκδόσεις 2.10 έως 2.13
  2. VMware Tanzu Operations Manager – εκδόσεις 2.8 έως 2.9
  3. VMware Tanzu Kubernetes Grid Integrated Edition (TKGI) – εκδόσεις 1.11 έως 1.13

Η εταιρεία έχει έτοιμες τις ενημερώσεις ασφαλείας για τα δύο πρώτα προϊόντα, αλλά δεν είναι ακόμα διαθέσιμη μια μόνιμη επιδιόρθωση για το VMware Tanzu Kubernetes Grid Integrated Edition.

Για αυτά τα deployments, η VMWare έχει δημοσιεύσει κάποιες οδηγίες που θα βοηθήσουν τους διαχειριστές να ασφαλίζουν προσωρινά τα συστήματά τους μέχρι να κυκλοφορήσουν οι επίσημες ενημερώσεις.

Δείτε επίσης: Borat malware: Νέο RAT επιτρέπει DDoS και ransomware επιθέσεις

Σύμφωνα με την VMWare, η εκμετάλλευση της Spring4Shell είναι πολύπλοκη στο TKGI, αλλά σύντομα θα κυκλοφορήσει η ενημέρωση.

VMware

Η VMware, Inc. είναι μια αμερικανική εταιρεία τεχνολογίας, με έδρα την Καλιφόρνια, που επικεντρώνεται στο cloud computing και το virtualization.

Πηγή: Bleeping Computer

if(window.strchfSettings === undefined) window.strchfSettings = {};window.strchfSettings.stats = {url: “https://secnews.storychief.io/el/vmware-diorthonei-eupatheia-spring4shell-epireazei-proionta?id=173025216&type=2”,title: “Η VMware διορθώνει την ευπάθεια Spring4Shell που επηρεάζει διάφορα προϊόντα της”,id: “daf300af-fa8d-4227-a692-03ebf51c91ea”};(function(d, s, id) {var js, sjs = d.getElementsByTagName(s)[0];if (d.getElementById(id)) {window.strchf.update(); return;}js = d.createElement(s); js.id = id;js.src = “https://d37oebn0w9ir6a.cloudfront.net/scripts/v0/strchf.js”;js.async = true;sjs.parentNode.insertBefore(js, sjs);}(document, ‘script’, ‘storychief-jssdk’))

The post Η VMware διορθώνει την ευπάθεια Spring4Shell που επηρεάζει διάφορα προϊόντα της appeared first on SecNews.gr.

https://www.secnews.gr/

%d bloggers like this: